API Reference / V2 Webhooks Get a webhook delivery Returns one webhook delivery and the list of its delivery attempts. Each attempt shows the outcome, the response status, the error code, and the duration.
GET /api/v2/developer/apps/{appId}/webhook-deliveries/{deliveryId}
Parameters # Property Type Location Description appIdstringRequired path- deliveryIdstringRequired path- x-request-idstringheader-
Request # curl --request GET 'https://strave.gg/api/v2/developer/apps/APP_ID/webhook-deliveries/DELIVERY_ID' \
--header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'Response # 200Response for status 200
application/json 400Response for status 400
application/json 401Response for status 401
application/json 403Response for status 403
application/json 404Response for status 404
application/json 409Response for status 409
application/json 412Response for status 412
application/json 428Response for status 428
application/json 429Response for status 429
application/json 500Response for status 500
application/json 503Response for status 503
application/json Property Type Description dataobjectRequired - └ deliveryobjectRequired - └ idstringRequired - └ applicationIdstringRequired - └ installationIdstringRequired - └ endpointIdstringRequired - └ eventIdstringRequired - └ eventTypestringRequired - └ statusstringRequired - └ attemptCountintegerRequired - └ responseStatusinteger | nullRequired - └ errorCodestring | nullRequired - └ redeliveryOfstring | nullRequired - └ createdAtstringRequired - └ updatedAtstringRequired - └ deliveredAtstring | nullRequired - └ attemptsobject[]Required - └ attemptNumberintegerRequired - └ startedAtstringRequired - └ finishedAtstringRequired - └ outcomestringRequired - └ responseStatusinteger | nullRequired - └ errorCodestring | nullRequired - └ nextAttemptAtstring | nullRequired - └ durationMsintegerRequired -